import { Construct } from 'constructs';
import { Base, LambdaProps, Props } from './base';
/**
 * Props for Athena Migrations
 */
export interface AthenaProps extends Props {
    /**
     * Athena WorkGroup to run the migration in
     *
     * @default - primary
     */
    readonly workGroup?: string;
}
/**
 * Defines a new DB Migration for Athena
 */
export declare class Athena extends Base {
    /**
     * Defines a new DB Migration
     */
    constructor(scope: Construct, id: string, props: AthenaProps);
    protected makeType(): string;
    protected makeProperties(props: Props): LambdaProps;
}
